PHP 5.6 to PHP 7.x Updating

Of timely importance in 2018 is the updating of “old” PHP standards to the new PHP 7.x standards.

PHP has advanced continuously since its creation, and has had a number of operations that were deprecated starting with version 7. These changes were not a critical issue as long as PHP 5.6 was supported, but the support for that version—even after being extended several months—will be ending at the end of 2018. (http://php.net/supported-versions.php)

PHP 7 didn’t even exist prior to late 2015, and what is being removed going forward was standard practice before that. And as technology progresses inevitably forward, work that was done years ago needs to be updated to stay with the times.

If you think that your site’s programming may be affected by the pending departure of PHP 5.6, contact FireSpike.